import 'package:hamlemuhcrm/features/notification/model/notification.dart';

class NotificationResponse {
  List<NotificationModel>? bildirimler;
  int? success;
  String? message;

  NotificationResponse({this.bildirimler, this.success, this.message});

  NotificationResponse.fromJson(Map<String, dynamic> json) {
    if (json['bildirimler'] != null) {
      bildirimler = <NotificationModel>[];
      json['bildirimler'].forEach((v) {
        bildirimler!.add(NotificationModel.fromJson(v));
      });
    }
    success = json['success'];
    message = json['message'];
  }
}
